Timekit developers

GET Retrieve a service

Get a specific service

Endpoint

GET https://api.timekit.io/v2/location/services/:id

Parameters

Name In Type Required Default Description
id path string the id of the location

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/location/services/ad507655-5b89-420b-9b3e-9491f606e1e3 \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW

Response examples

200

json
{
    "data": {
        "meta": {
            "t_private": 0,
            "t_disabled": 0,
            "t_store_capacity_shared": 0,
            "t_appointment_type_name": "Hair Cut Appointment",
            "t_appointment_type_image": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
            "t_appointment_type_description": "Hair Cut Appointment",
            "t_project_type": "global_appointment_type_project"
        },
        "id": "ad507655-5b89-420b-9b3e-9491f606e1e3",
        "name": "Hair Cut Appointment",
        "image_url": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
        "categories": [],
        "description": "Hair Cut Appointment",
        "customer_fields": {},
        "availability_constraints": [],
        "availability": {
            "length": "1 hours",
            "to": "4 weeks",
            "buffer": "0 minutes"
        },
        "created_at": "2023-05-11T11:05:24-0400",
        "updated_at": "2023-05-11T11:05:24-0400"
    }
}

403

json
{
  "errors": "You are not allowed to do this!"
}

404

json
{
  "error": "Resource does not exist"
}
Last edited 11 May 2023.